use serde::{Deserialize, Serialize};
use sqlx::types::JsonValue;

#[derive(Debug, Clone, Deserialize, Serialize)]
pub struct LoginAccount {
    pub username: String,
    #[serde(skip_serializing_if = "Option::is_none")]
    pub display_name: Option<String>,
    #[serde(skip_serializing_if = "Option::is_none")]
    pub avatar_url: Option<String>,
    pub metadata: JsonValue,
    pub wallet: JsonValue,
    #[serde(skip_serializing_if = "Option::is_none")]
    pub email: Option<String>,
    pub token: String,
    pub refresh_token: String,
}